Bug 42729 - Unable to configure ports of freeradius
Unable to configure ports of freeradius
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Radius
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Janek Walkenhorst
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-21 12:31 CEST by Sönke Schwardt-Krummrich
Modified: 2017-06-15 17:57 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2016101221000391
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-10-21 12:31:36 CEST
Currently the radius config of univention-radius uses the default radius port. A customer has to use a different set of ports and want's to configure the ports via UCR variables.
Comment 1 Janek Walkenhorst univentionstaff 2017-05-12 18:58:20 CEST
Advisory: univention-radius.yaml

freeradius/conf/port:
 The port the server listens on, e.g. 1812. If 0 the port is read from /etc/services (Default: 0)
Comment 2 Daniel Tröder univentionstaff 2017-05-21 11:41:37 CEST
OK: code
OK: manual test
OK: advisory (wording r79460)

Would be VERIFIED, but have to REOPEN for a question:

@Sönke: does the customer also need to reconfigure the port for Radius Accounting? It is currently hard coded to the default 1813.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2017-06-02 10:36:22 CEST
(In reply to Daniel Tröder from comment #2)
> @Sönke: does the customer also need to reconfigure the port for Radius
> Accounting? It is currently hard coded to the default 1813.

The intention of this change is to be able to start 2 freeradius instances.
So all relevant ports should be configurable.
Comment 4 Daniel Tröder univentionstaff 2017-06-02 14:30:22 CEST
@Janek: please make the Radius Accounting port configurable (default 1813).
Comment 5 Janek Walkenhorst univentionstaff 2017-06-14 14:52:19 CEST
(In reply to Daniel Tröder from comment #4)
> @Janek: please make the Radius Accounting port configurable (default 1813).
Updated
Comment 6 Daniel Tröder univentionstaff 2017-06-14 15:08:36 CEST
OK: advisory (r80183: wording)
OK: all ports can be reconfigured:

root@single130:~# lsof -Pni | grep free
freeradiu 22465  freerad    7u  IPv4  96267      0t0  UDP *:1812 
freeradiu 22465  freerad    8u  IPv4  96268      0t0  UDP *:1813 
freeradiu 22465  freerad    9u  IPv4  96269      0t0  UDP *:1814 
freeradiu 22465  freerad   10u  IPv4  96270      0t0  UDP *:36480 

root@single130:~# ucr set freeradius/conf/port=11812 freeradius/conf/accountingport=11813
Create freeradius/conf/port
Create freeradius/conf/accountingport
File: /etc/freeradius/radiusd.conf

root@single130:~# systemctl restart freeradius.service 

root@single130:~# lsof -Pni | grep free
freeradiu 22929  freerad    7u  IPv4  99325      0t0  UDP *:11812 
freeradiu 22929  freerad    8u  IPv4  99326      0t0  UDP *:11813 
freeradiu 22929  freerad    9u  IPv4  99327      0t0  UDP *:11814 
freeradiu 22929  freerad   10u  IPv4  99328      0t0  UDP *:37407
Comment 7 Janek Walkenhorst univentionstaff 2017-06-15 17:57:59 CEST
<http://errata.software-univention.de/ucs/4.2/37.html>